Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360158 - Add links back to CWE for all kinds of certifications
Summary: Add links back to CWE for all kinds of certifications
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Bugzilla
Classification: Community
Component: User Interface
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ---
Assignee: PnT DevOps Devs
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-26 06:47 UTC by Shiyi Yuan
Modified: 2016-09-01 10:30 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-01 10:30:06 UTC


Attachments (Terms of Use)

Description Shiyi Yuan 2016-07-26 06:47:51 UTC
Now in CWE, we provide the links to Bugzilla for all types of certifications. There is a new requirement from our PM that we want Bugzilla can provide the links go back to CWE, Now Bugzilla provide the links to CWE just for Hardware certification on production site, we need your team's help.

Comment 1 Jeff Fearn 🐞 2016-07-27 01:07:09 UTC
You should use external trackers for this, is there any reason you can't do that?

Comment 2 Shiyi Yuan 2016-07-27 01:18:47 UTC
Hi
  Now Bugzilla has provided a link named "[Goto Cert]" for the hardware certification on this site: https://bugzilla.redhat.com, We expect that Bugzilla 
can provide the same action for others certification.

Thx

Comment 3 Jeff Fearn 🐞 2016-07-27 01:37:54 UTC
(In reply to Shiyi Yuan from comment #2)
> Hi
>   Now Bugzilla has provided a link named "[Goto Cert]" for the hardware
> certification on this site: https://bugzilla.redhat.com, We expect that
> Bugzilla 
> can provide the same action for others certification.

It's extremely unlikely we would do this given we now have the External Trackers which is designed to allow this kind of linking without having to hack the code for every different system.

In fact, I don't believe this functionality has been migrated to Bugzilla 5 so HWC will also need to change to use ET's for Bugzilla 5.

Comment 4 Shiyi Yuan 2016-07-28 00:54:52 UTC
I think We can talk more details with our PM whose mail is rlandry@redhat.com and IRC named rlandry, because the requirement was raised by him.

Comment 5 Jeff Fearn 🐞 2016-07-28 01:23:23 UTC
Hi Rob,

/me waves his hand in front of Rob

These are not the links you are looking for, External Trackers are the links you are looking for.

</jedi_mind_trick>

Comment 6 Rob Landry 2016-07-28 20:12:50 UTC
Hi Shiyi,

Jeff's solution makes good sense (or his Jedi powers have grown!)

There's already an BZ API to add external trackers; we previously used this for the knowledge base links.  We should be able to use it to create links in the external trackers section to provide a route back to the CWE.

I think the only BZ action then would be to add CWE in someway to the external trackers list so that the CWE could call the API and populate the value in the bug?

Comment 7 Jeff Fearn 🐞 2016-08-01 01:50:52 UTC
FYI to get entries added to the list of ET's you need to email bugzilla-requests@redhat.com, it shouldn't require any code changes.

API for ETs is at https://bugzilla.redhat.com/docs/en/html/api/extensions/ExternalBugs/lib/WebService.html

Comment 8 Jeff Fearn 🐞 2016-09-01 10:30:06 UTC
AIUI ETs are being used for this, please reopen or create a new bug if you have further requirements.


Note You need to log in before you can comment on or make changes to this bug.